package com.tax.file.service.api;

import java.util.Map;

import com.tax.file.model.InvoiceFileReq;
import com.tax.file.model.InvoiceFileTaxManageReq;
import com.yxcheng.token.common.model.JsonResult;

public interface InvoiceFileService {
	/**
		* 发票文件下载
		*
		* @param invoiceFileReq
		* @return
	*/
    JsonResult<Map> download(InvoiceFileReq invoiceFileReq);
    
    /**
		* 发票文件下载反馈
		*
		* @param invoiceFileReq
		* @return
    */
    JsonResult<Map> downloadRes(InvoiceFileReq invoiceFileReq);
    
    /**
		* 获取税号信息
		*
		* @param invoiceFileReq
		* @return
    */
    JsonResult<Map> taxInfo(InvoiceFileReq invoiceFileReq);
    
    /**
		* 税号初始化
		*
		* @param invoiceFileReq
		* @return
    */
    JsonResult<String> taxInit(InvoiceFileReq invoiceFileReq);
    
    /**
		* 获取发票下载的税号信息
		*
		* @param invoiceFileReq
		* @return
    */
    JsonResult<String> getTaxInfo(InvoiceFileReq invoiceFileReq);
    /**
		* 税号管理
		*
		* @param invoiceFileReq
		* @return
    */
    JsonResult<String> taxManage(InvoiceFileTaxManageReq invoiceFileReq);

}
